# Class: Overview

## Overview

#### new Overview()

The Overview class provides a queryable interface for data aggregation in realtime.

Source:
  - Overview.js, line 15

### Classes

init

### Methods

- (static) isLinked() → {Boolean}
- (static) link(outputTargetSelector, templateSelector, optionsopt)
- (static) unlink(outputTargetSelector, templateSelector)
- count() → {*}
- data() → {Collection}
- drop(callbackopt) → {Boolean}
- exec() → {*}
- find(queryopt, optionsopt, callbackopt) → {*}
- from(source) → {*}

#### (static) isLinked() → {Boolean}

Checks if the instance is data-bound to any DOM elements.

Source:
  - AutoBind.js, line 653

##### Returns:

True if linked, false if not.

Type
  Boolean

#### (static) link(outputTargetSelector, templateSelector, optionsopt)

Creates a link to the DOM between the overview data and the elements in the passed output selector. When new elements are needed or changes occur the passed templateSelector is used to get the template that is output to the DOM.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`outputTargetSelector` |  |  |
`templateSelector` |  |  |
`options` | Object | <optional> | An options object.

Source:
  - AutoBind.js, line 663
See:
  - unlink

#### (static) unlink(outputTargetSelector, templateSelector)

Removes a link to the DOM between the overview data and the elements in the passed output selector that was created using the link() method.

##### Parameters:

Name | Type | Description
--- | --- | ---
`outputTargetSelector` |  |
`templateSelector` |  |

Source:
  - AutoBind.js, line 680
See:
  - link

#### count() → {*}

Returns a count of the documents in the overview data set.

Source:
  - Overview.js, line 159

##### Returns:

Type
  *

#### data() → {Collection}

Gets the module's internal data collection.

Source:
  - Overview.js, line 268

##### Returns:

Type
  Collection

#### drop(callbackopt) → {Boolean}

Drops the overview.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`callback` | function | <optional> | A callback function.

Source:
  - Overview.js, line 277

##### Returns:

Type
  Boolean

#### exec() → {*}

Executes and returns the response from the current reduce method assigned to the overview.

Source:
  - Overview.js, line 149

##### Returns:

Type
  *

#### find(queryopt, optionsopt, callbackopt) → {*}

Returns the data in the overview.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`query` | Object | <optional> | The query object.
`options` | Object | <optional> | An options object.
`callback` | function | <optional> | A callback method.

Source:
  - Overview.js, line 140
See:
  - Collection.find()

##### Returns:

Type
  *

#### from(source) → {*}

Gets / sets the data source the overview uses for underlying data.

##### Parameters:

Name | Type | Description
--- | --- | ---
`source` | Collection | View | The data source to set.

Source:
  - Overview.js, line 119

##### Returns:

Type
  *